# Uses of Class
org.apache.lucene.internal.hppc.IntCursor

Packages that use IntCursor
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of IntCursor in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return IntCursor
  Modifier and Type
  Method
  Description
  `protected IntCursor`
  IntHashSet.EntryIterator.`fetch()`
  Methods in org.apache.lucene.internal.hppc that return types with arguments of type IntCursor
  Modifier and Type
  Method
  Description
  `Iterator<IntCursor>`
  IntArrayList.`iterator()`
  `Iterator<IntCursor>`
  IntDoubleHashMap.KeysContainer.`iterator()`
  `Iterator<IntCursor>`
  IntFloatHashMap.KeysContainer.`iterator()`
  `Iterator<IntCursor>`
  IntHashSet.`iterator()`
  `Iterator<IntCursor>`
  IntIntHashMap.KeysContainer.`iterator()`
  `Iterator<IntCursor>`
  IntLongHashMap.KeysContainer.`iterator()`
  `Iterator<IntCursor>`
  IntObjectHashMap.KeysContainer.`iterator()`
  `Iterator<IntCursor>`
  LongIntHashMap.ValuesContainer.`iterator()`
  Method parameters in org.apache.lucene.internal.hppc with type arguments of type IntCursor
  Modifier and Type
  Method
  Description
  `int`
  IntArrayList.`addAll(Iterable<? extends IntCursor> iterable)`
  Adds all elements from another iterable.
  `int`
  IntHashSet.`addAll(Iterable<? extends IntCursor> iterable)`
  Adds all elements from the given iterable to this set.